• R/O
  • SSH
  • HTTPS

tortoisesvn: Commit


Commit MetaInfo

Revision12685 (tree)
Zeit2008-04-18 01:44:25
Autorstefankueng

Log Message

Add a compatibility table.

Ändern Zusammenfassung

Diff

--- trunk/www/tsvn_1.5_releasenotes.html (revision 12684)
+++ trunk/www/tsvn_1.5_releasenotes.html (revision 12685)
@@ -46,14 +46,39 @@
4646
4747 <p>Older clients and servers interoperate transparently with 1.5
4848 servers and clients. Of course, some of the new 1.5 features may not
49-be available unless both client and server are the latest version
50-(e.g. <a href="http://subversion.tigris.org/merge-tracking/func-spec.html#migration-and-interoperability">Merge Tracking</a>).</p>
49+be available unless both client and server are the latest version.
50+See the table below about which features require which versions:
5151
52+<table border="1">
53+ <tr>
54+ <th>New Feature</th>
55+ <th>Minimum Client</th>
56+ <th>Minimum Server</th>
57+ <th>Minimum Repository</th>
58+ <th>Notes</th></tr>
59+ <tr>
60+ <td><a href="#merge-tracking">Merge tracking</a></td>
61+ <td>1.5</td>
62+ <td>1.5</td>
63+ <td>1.5</td>
64+ <td></td></tr>
65+ <tr>
66+ <td><a href="#cyrus-sasl"> Cyrus SASL support for <code>svn://</code> repository access</td>
67+ <td>any<sup>*</sup>, 1.5</td>
68+ <td>any<sup>*</sup>, 1.5</td>
69+ <td>any</td>
70+ <td><sup>*</sup>Limited, only ANONYMOUS and CRAM-MD5 are supported</td></tr>
71+</table>
72+
73+All other features are independent of the server version and can be used without any
74+restrictions.
5275 <p>
53-TortoiseSVN 1.5.x clients can communicate with all Subversion servers, no
54-matter which version the server runs on.
76+For a more detailed compatibility table, see the
77+<a href="http://subversion.tigris.org/svn_1.5_releasenotes.html#new-feature-compatibility-table">Subversion release notes</a>.
5578 </p>
5679
80+</p>
81+
5782 <p>Due to certain improvements made to the working copy
5883 library, the version number of the working copy format has been
5984 incremented. This means that Subversion clients earlier than 1.5 will
Show on old repository browser